> ## Name

> cgIsState - determine if a state handle references a valid state

> ## Synopsis

>     #include <Cg/cg.h>

>     CGbool cgIsState( CGstate state );

> ## Parameters

> state
>   The state handle to check.

> ## Return Values

> Returns CG_TRUE if state references a valid state.

> Returns CG_FALSE otherwise.

> ## Description

> cgIsState returns CG_TRUE if state references a valid state, CG_FALSE otherwise.

> ## Examples

> to-be-written

> ## Errors

> None.

> ## History

> cgIsState was introduced in Cg 1.4.

> ## See Also

> cgCreateState